OpenMesh::Decimater::DecimaterT< MeshT >::HeapInterface Class Reference

Heap interface. More...

`#include <OpenMesh/Tools/Decimater/DecimaterT.hh>`

## Public Member Functions

| HeapInterface (Mesh &_mesh, VPropHandleT< float > _prio, VPropHandleT< int > _pos)
bool | less (VertexHandle _vh0, VertexHandle _vh1)
bool | greater (VertexHandle _vh0, VertexHandle _vh1)
int | get_heap_position (VertexHandle _vh)
void | set_heap_position (VertexHandle _vh, int _pos)

## Detailed Description

### template<typename MeshT>
class OpenMesh::Decimater::DecimaterT< MeshT >::HeapInterface

Heap interface.

The documentation for this class was generated from the following file:

- OpenMesh/Tools/Decimater/DecimaterT.hh